Skip to main content
GET
/
networks
/
reporting
/
clicks
/
{transactionId}
Get Click by Transaction ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/reporting/clicks/{transactionId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "transaction_id": "<string>",
  "is_unique": 123,
  "unix_timestamp": 1734455015,
  "tracking_url": "<string>",
  "source_id": "<string>",
  "sub1": "<string>",
  "sub2": "<string>",
  "sub3": "<string>",
  "sub4": "<string>",
  "sub5": "<string>",
  "payout_type": "<string>",
  "revenue_type": "<string>",
  "payout": 123,
  "revenue": 123,
  "referer": "<string>",
  "previous_network_offer_id": 123,
  "error_code": 123,
  "project_id": "<string>",
  "user_ip": "<string>",
  "error_message": "<string>",
  "url": "<string>",
  "is_view_through": true,
  "is_async": true,
  "server_side_url": "<string>",
  "server_side_output": "<string>",
  "custom_landing_page_id": 123,
  "is_test_mode": true,
  "idfa": "<string>",
  "idfa_md5": "<string>",
  "idfa_sha1": "<string>",
  "google_ad_id": "<string>",
  "google_ad_id_md5": "<string>",
  "google_ad_id_sha1": "<string>",
  "android_id": "<string>",
  "android_id_md5": "<string>",
  "android_id_sha1": "<string>",
  "error_filter_id": "<string>",
  "has_conversion": true,
  "is_pass_through": true,
  "creative_id": 123,
  "coupon_code": "<string>",
  "redirect_method": "<string>",
  "is_sdk_click": true,
  "category_id": 123,
  "currency_id": "<string>",
  "relationship": {
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "active",
      "network_tracking_domain_id": 123,
      "visibility": "public",
      "currency_id": "<string>"
    },
    "advertiser": {
      "network_advertiser_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "active"
    },
    "affiliate": {
      "network_affiliate_id": 123,
      "network_id": 123,
      "name": "<string>",
      "account_status": "active",
      "network_traffic_source_id": 123
    },
    "account_manager": {
      "network_employee_id": 123,
      "network_id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "full_name": "<string>",
      "account_status": "active"
    },
    "affiliate_manager": {
      "network_employee_id": 123,
      "network_id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "full_name": "<string>",
      "account_status": "active"
    },
    "geolocation": {
      "country_code": "<string>",
      "country_name": "<string>",
      "region_code": "<string>",
      "region_name": "<string>",
      "city_name": "<string>",
      "dma": 123,
      "dma_name": "<string>",
      "timezone": "<string>",
      "carrier_name": "<string>",
      "carrier_code": 123,
      "organization": "<string>",
      "isp_name": "<string>",
      "is_mobile": true,
      "is_proxy": true,
      "postal_code": "<string>"
    },
    "device_information": {
      "is_mobile": true,
      "platform_name": "<string>",
      "os_version": "<string>",
      "brand": "<string>",
      "model": "<string>",
      "is_tablet": true,
      "browser_name": "<string>",
      "browser_version": "<string>",
      "device_type": "<string>",
      "language": "<string>",
      "http_accept_language": "<string>",
      "is_robot": true,
      "is_filter": true
    },
    "http_user_agent": "<string>",
    "query_parameters": {},
    "redirect_url": "<string>",
    "forensiq_score": "<string>"
  }
}
Fetch a single click by its unique Everflow transaction ID. Returns the full click record including device info, geo data, and tracking parameters.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

transactionId
string
required

Response

200 - application/json
transaction_id
string
is_unique
integer
unix_timestamp
integer
Example:

1734455015

tracking_url
string
source_id
string
sub1
string
sub2
string
sub3
string
sub4
string
sub5
string
payout_type
string
revenue_type
string
payout
number
revenue
number
referer
string
previous_network_offer_id
integer
error_code
integer
project_id
string
user_ip
string
error_message
string
url
string
is_view_through
boolean
is_async
boolean
server_side_url
string
server_side_output
string
custom_landing_page_id
integer
is_test_mode
boolean
idfa
string
idfa_md5
string
idfa_sha1
string
google_ad_id
string
google_ad_id_md5
string
google_ad_id_sha1
string
android_id
string
android_id_md5
string
android_id_sha1
string
error_filter_id
string
has_conversion
boolean
is_pass_through
boolean
creative_id
integer
coupon_code
string
redirect_method
string
is_sdk_click
boolean
category_id
integer
currency_id
string
relationship
object